org.apache.cayenne.exp.property

## Interface PathProperty<E>

- All Superinterfaces:
    Property<E>
  All Known Subinterfaces:
    RelationshipProperty<E>
  All Known Implementing Classes:
    CollectionProperty, EmbeddableProperty, EntityProperty, ListProperty, MapProperty, Property, SetProperty

      public interface PathProperty<E>
      extends Property<E>

  Property that represents path segment (relationship or embeddable). Basically it provides `dot()` operator.
  Since:
    4.2

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <T> BaseProperty<T>` | `dot(BaseProperty<T> property)` Constructs a new property path by appending the argument to the existing property separated by a dot.
    `default <T> DateProperty<T>` | `dot(DateProperty<T> property)` Constructs a new property path by appending the argument to the existing property separated by a dot.
    `default <T extends Number> NumericProperty<T>` | `dot(NumericProperty<T> property)` Constructs a new property path by appending the argument to the existing property separated by a dot.
    `default BaseProperty<Object>` | `dot(String property)` Constructs a property path by appending the argument to the existing property separated by a dot.
    `default <T extends CharSequence> StringProperty<T>` | `dot(StringProperty<T> property)` Constructs a new property path by appending the argument to the existing property separated by a dot.

    - ### Methods inherited from interface org.apache.cayenne.exp.property.Property

      `getAlias, getExpression, getName, getType`

- - ### Method Detail

    - #### dot

          default BaseProperty<Object> dot(String property)

      Constructs a property path by appending the argument to the existing property separated by a dot.
      Returns:
        a newly created Property object.

    - #### dot

          default <T> BaseProperty<T> dot(BaseProperty<T> property)

      Constructs a new property path by appending the argument to the existing property separated by a dot.
      Parameters:
        `property` - to append to path
      Returns:
        a newly created Property object.

    - #### dot

          default <T extends Number> NumericProperty<T> dot(NumericProperty<T> property)

      Constructs a new property path by appending the argument to the existing property separated by a dot.
      Parameters:
        `property` - to append to path
      Returns:
        a newly created Property object.

    - #### dot

          default <T extends CharSequence> StringProperty<T> dot(StringProperty<T> property)

      Constructs a new property path by appending the argument to the existing property separated by a dot.
      Parameters:
        `property` - to append to path
      Returns:
        a newly created Property object.

    - #### dot

          default <T> DateProperty<T> dot(DateProperty<T> property)

      Constructs a new property path by appending the argument to the existing property separated by a dot.
      Parameters:
        `property` - to append to path
      Returns:
        a newly created Property object.

Copyright © 2001–2021 Apache Cayenne. All rights reserved.